Subject: Re: [dhcwg] [EXTERNAL] Re: Question to DHCPv6 Relay Implementors regarding draft-ietf-dhc-dhcpv6-pd-relay-requirements

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 8 Oct 2020 15:51:32 +0000

Jen,

> What would happen if the *second* device sends traffic towards the
> delegated prefix? As that device is usig the relay as its default
> gateway, the traffic would be sent there.
> If I read the draft correctly, instead of forwarding the traffic and
> maybe sending the redirect, the relay is expected to drop it?

The way that I interpret it, when the second device sends the traffic
to the relay, the relay would still forward the traffic to the client, which
would then forward the traffic back to the relay, then at that point the
relay would drop the traffic. Unless the second node somehow has a
way of knowing that the client has entered into an amnesiac state and
then does a malicious "flood-ping", we can expect applications to quickly
learn that the IP addresses of the client are no longer reachable. Plus,
these amnesiac conditions can be expected to be rare and transient;
not steady-state.

Fred

> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Jen Linkova
> Sent: Wednesday, October 07, 2020 6:25 PM
> To: [email-masked]
> Cc: dhcwg <[email-masked]>; v6ops list <[email-masked]>; 6man <[email-masked]>
> Subject: [EXTERNAL] Re: [dhcwg] Question to DHCPv6 Relay Implementors regarding draft-ietf-dhc-dhcpv6-pd-relay-requirements
> 
> This message was sent from outside of Boeing. Please do not click links or open attachments unless you recognize the sender and
> know that the content is safe.
> 
> 
> On Wed, Oct 7, 2020 at 9:25 PM <[email-masked]> wrote:
> > We are currently finishing WGLC for this draft. It describes requirements for a 'DHCPv6 Delegating Relay' - this is a router functioning
> as the L3 edge and DHCPv6 relay (only) with prefix delegation. This is a common deployment scenario, but RFC3633/8415 only really
> describes PD using a Delegating Router - i.e the L3 edge also functions as a DHCPv6 server with no relay. When the relay and server
> functions are performed by separate devices a number of problems with how relays behave have
> > been observed, so this document addresses them.
> >
> > During WGLC for this, Ole raised a comment related to one of the routing requirements:
> >
> > R-4:    If the relay has learned a route for a delegated prefix via a
> >            given interface, and receives traffic on this interface with
> >            a destination address within the delegated prefix (that is
> >            not an on-link prefix for the relay), then it MUST be
> >            dropped.  This is to prevent routing loops.  An ICMPv6 Type
> >            1, Code 6 (Destination Unreachable, reject route to
> >            destination) error message MAY be sent back to the client.
> >            The ICMP policy SHOULD be configurable.
> >
> > The problem that this is trying to solve is:
> >
> > 3.5.  Forwarding Loops between Client and Relay
> 
> I might be missing smth but...
> Let's say I have a relay and it's 'south' (client-facing) interface is
> connected to a switch. The client AND second device (another router or
> a host) are connected to the same segment.
> The client gets a prefix, the relay 'learned' (or shall we call it
> 'install'?) the route for the delegated prefix pointing to its 'south'
> interface with the client address as a next-hop.
> What would happen if the *second* device sends traffic towards the
> delegated prefix? As that device is usig the relay as its default
> gateway, the traffic would be sent there.
> If I read the draft correctly, instead of forwarding the traffic and
> maybe sending the redirect, the relay is expected to drop it?
> 
> --
> SY, Jen Linkova aka Furry
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------